# -*- coding: utf-8 -*-
from django.core.urlresolvers import reverse
from django.test import TestCase
from django.test.client import Client


class ViewsTests(TestCase):
    """Tests for amancay views module."""

    def test_index_page(self):
        """
        A ``GET`` to the ``index`` view uses the appropriate
        template.
        """
        response = self.client.get(reverse('amancay.views.index'))
        self.assertEquals(response.status_code, 200)
        self.assertTemplateUsed(response, 'home.html')

    def test_package_without_argument(self):
        """
        A ``GET`` to the ``package`` view without ``package_name`` argument
        raise a 404 error.
        """
        response = self.client.get('/not-exist/')
        self.assertEquals(response.status_code, 404)
        self.assertTemplateUsed(response, '404.html')
